@import "fonts.css";

html,
html * {
  box-sizing: border-box;
  text-rendering: optimizeLegibility;
}

body {
  margin: 0;
  background: #A4C8C6;
  font-family: "Avenir", "AvenirLT", "Muli", Arial, sans-serif;
  color: #455F5A;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  padding: 100px 0;

  background: url(../images/background.png) center center no-repeat #ea937c;
  background-size: cover;
}

ul {
  padding-left: 30px;
}
li {
  padding-left: 10px;
}

button {
  cursor: pointer;
  font-weight: 300;
  font-family: "Avenir", "AvenirLT", "Muli", Arial, sans-serif;
  background: #3B5EAA;
  color: #ffffff;
  padding: 5px 10px;
  border: 0;
  border-radius: 6px;
  transition: box-shadow .1s;
  box-shadow: 0 0 0 rgba(0,0,0,0);
}

button:hover {
  background: #567CD0;
  text-shadow: 1px 1px 1px rgba(0,0,0,.5);
  box-shadow: 2px 2px 2px rgba(0,0,0,.25);
}
button:active {
  transform: translate(1px, 1px);
  box-shadow: 1px 1px 1px rgba(0,0,0,.75), -1px -1px 1px rgba(255,255,255,.5);
}
.contain {
  max-width: 1020px;
}


/* intro */
.intro {
  max-width: 700px;
  margin: 0 auto;
  text-align: center;
}
.intro h1 {
  font-family: "Ultra", Georgia, serif;
  font-size: 48px;
  letter-spacing: 2px;
  color: #ffffff;
  line-height: 115%;
  padding: 0 20px;
  font-weight: normal;
  text-shadow: -2px -2px 3px rgba(0,0,0,.25), 2px 2px 3px rgba(255,255,255,.5);
}
.intro p {
  font-size: 22px;
  line-height: 130%;
  padding: 0 20px;
  color: #ffffff;
}


/* Card */
.card {
  width: 900px;
  display: flex;
  /* background: #F5F3F3; */
  margin-top: 100px;
  position: relative;
  box-shadow: 0 10px 20px rgba(0,0,0,.35);
  color: #3B5EAA;
}
.card_left, .card_right {
  width: 50%;
  transition: background-color .25s;
}

/* Card - left side */
.card_left {
  padding: 80px 50px;
  background: url(../images/card_left.png) center right #F5F3F3 no-repeat;
  background-size: cover;
  position: relative;
  z-index: 2;
}
.card_left h2, .card_left p, .card_left li{
  font-size: 15px;
  line-height: 20px;
}
.card_left li {
  margin: 10px 0;
}
.card_left .filters {
  display: flex;
  justify-content: space-between;
  margin-top: 50px;
}
.card_left .filters label {
  font-size: 15px;
  display: block;
  padding-bottom: 3px;
}
.card_left #filter_1, .card_left #filter_2 {
  width: 38%;
}
.card_left .filter select {
  width: 100%;
  background: #3B5EAA;
  border: 1px solid #3B5EAA;
  border-radius: 6px;
  padding: 5px;
  color: #ffffff;
}
.random p {
  margin: 25px 0 10px 0;
}
#random_btn {
  padding: 10px 35px;
}

/* Card - right side */
.card_right {
  font-size: 32px;
  font-family: "Patrick Hand", monospace;
  background: url(../images/card_right.png) center left #F5F3F3 no-repeat;
  background-size: cover;
  position: relative;
  padding: 80px 100px;
  z-index: 2;

  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-direction: column;
  border-left:1px solid rgba(0,0,0,.2);
}

.card_right #icon_holder {
  width: 50%;
}
.card_right #icon_holder img {
  display: block;
  margin: 0;
  padding: 0;
  max-width: 100%;
  margin: 0 auto;
}

@media (min-width: 1021px) {
  .card:before, .card:after {
    position: absolute;
    z-index: 1;
    content: "";
    bottom: 25px;
    left: 10px;
    width: 50%;
    top: 80%;
    -webkit-box-shadow: 0 35px 20px rgba(0,0,0,.45);
    -moz-box-shadow: 0 35px 20px rgba(0,0,0,.45);
    box-shadow: 0 35px 20px rgba(0,0,0,.45);
    -webkit-transform: rotate(-3deg);
    -moz-transform: rotate(-3deg);
    -o-transform: rotate(-3deg);
    -ms-transform: rotate(-3deg);
    transform: rotate(-3deg);
  }
  .card:after {
    -webkit-transform: rotate(3deg);
    -moz-transform: rotate(3deg);
    -o-transform: rotate(3deg);
    -ms-transform: rotate(3deg);
    transform: rotate(3deg);
    right: 10px;
    left: auto;
  }
}

@media (max-width: 1020px) {
  .intro h1 {
    margin: .5em;
  }
  .card {
    flex-direction: column;
    max-width: 600px;
    width: auto;
    margin: 60px;
    background: #F5F3F3;
  }
  .card_left, .card_right {
    width: 100%;
    padding: 40px;
  }
  .card_left {
    background: url(../images/card_top.png) center bottom no-repeat;
  }
  .card_right #icon_holder {
    max-width: 120px;
  }
  .card_right {
    min-height: 400px;
    background: url(../images/card_bottom.png) center top no-repeat;
    border: 0;
    border-top:1px solid #bbbbbb;
  }
}
@media (max-width: 600px) {
  .intro h1 {
    font-size: 8.5vw;
    margin: 1em .5em 0 .5em;
    padding: 0;
  }
  .intro p {
    font-size: 3.5vw;
    padding: 0 20px 40px 20px;
  }
  .card {
    margin: 20px;
  }
  .card_left, .card_right {
    padding: 30px;
  }
}

/* Card colors */
.card[data-tone="funny"] .card_left,
.card[data-tone="funny"] .card_right {
  background-color: #F4DE6C;
}

.card[data-tone="formal"] button,
.card[data-tone="formal"] select {
  color: #3B5EAA;
}
.card[data-tone="formal"] .card_left,
.card[data-tone="formal"] .card_right {
  background-color: #3B5EAA;
}

.card[data-tone="casual"] button,
.card[data-tone="casual"] select {
  color: #EA937C;
}
.card[data-tone="casual"] .card_left,
.card[data-tone="casual"] .card_right {
  background-color: #EA937C;
  text-shadow: 1px 1px 2px rgba(0,0,0,.5), -1px -1px 2px rgba(255,255,255,.5);
}

.card[data-tone="warm"] button,
.card[data-tone="warm"] select {
  color: #279A8B;
}
.card[data-tone="warm"] .card_left,
.card[data-tone="warm"] .card_right {
  background-color: #279A8B;
}

.card[data-tone="wacky"] button,
.card[data-tone="wacky"] select {
  color: #72BF4B;
}
.card[data-tone="wacky"] .card_left,
.card[data-tone="wacky"] .card_right {
  background-color: #72BF4B;
  text-shadow: 1px 1px 2px rgba(0,0,0,.5), -1px -1px 2px rgba(255,255,255,.5);
}

.card[data-tone="simple"] button,
.card[data-tone="simple"] select {
  color: #833795;
}
.card[data-tone="simple"] .card_left,
.card[data-tone="simple"] .card_right {
  background-color: #833795;
}

.card[data-tone="formal"],
.card[data-tone="casual"],
.card[data-tone="warm"],
.card[data-tone="wacky"],
.card[data-tone="simple"] {
  color: #ffffff;
}
.card[data-tone="formal"] select,
.card[data-tone="formal"] button,
.card[data-tone="casual"] select,
.card[data-tone="casual"] button,
.card[data-tone="warm"] select,
.card[data-tone="warm"] button,
.card[data-tone="wacky"] select,
.card[data-tone="wacky"] button,
.card[data-tone="simple"] select,
.card[data-tone="simple"] button {
  background: #ffffff;
  border-color: #ffffff;
  color: #333333;
}
